Subject: RE: ifSpeed and a few questions

From: "Beaudoin, Luc" <[email-masked]>
Date: Mon, 22 Nov 1999 10:16:08 -0800

Thanks, Michael. 

I'll look at the draft. 

> I believe that ALL interface running IP vary in bandwidth, so
> ifSpeed will ALWAYS contain the nominal bandwidth.

Some but not all interfaces in the ifTable have fixed bandwidth. E.g., a DS1
interface. 

There are situations where the nominal bandwidth may differ from the
ifSpeed. However, it's not clear how the "nominal bandwidth" is to be
computed, since the IETF does not (to my knowlege) ever precisely define the
concept. If you look at page 107 of af-phy-0086_001 (Inverse Multiplexing
over ATM v 1.1 from the ATM forum.), you'll see that ifSpeed of an IMAGroup
is determined dynamically, as a function of the number of links in the
group. In the case of an IMA group, the nominal bandwidth could in principle
be a function of the potential number of links in the group. What happens to
speed and nominal bandwidth as links operational status go up/down? The
equation would have the ifSpeed  go down for the group if one of its links
goes down, but presumably the nominal bandwidth would remain the same. When
you consider the nominal bandwidth of the ATM i/f itself over an IMA group
similar issues arise (though the nominal bandwidth is more controversial,
because you don't necessarily know the size of the IMA group). 

Also, you could have a situation where the nominal bandwidth of an interface
is higher than the ifSpeed. E.g., a card with eigth 100 based T ether i/f's
might support a combined bandwidth of 500 mbs (not quite 100 on each). It
might even be possible for users to determine how that 500 mbs will be
divided per interface (in which case you need something more than ifSpeed,
you need a speedSetting). 

Luc Beaudoin
Abatis Systems Corp.

> -----Original Message-----
> From: Michael Welzl [mailto:[email-masked]]
> Sent: Monday, November 22, 1999 7:18 AM
> To: [email-masked]
> Subject: ifSpeed and a few questions
> 
> 
> Hi,
> 
> I can't see why this part of the ifSpeed definition ...
> 
> "An estimate of the interface's current bandwidth in bits
> per second.  For interfaces which do not vary in bandwidth
> or for those where no accurate estimation can be made, this
> object should contain the nominal bandwidth."
> 
> ... has not changed yet; it's still the same in
> draft-ietf-ifmib-ifmib2-01.txt
> 
> I believe that ALL interface running IP vary in bandwidth, so
> ifSpeed will ALWAYS contain the nominal bandwidth.
> 
> I wrote "The Performance Transparency Protocol (PTP)"
> ( draft-welzl-ptp-01.txt ). In this draft, I make use of the
> nominal bandwidth as well as the "ifMTU", "ifInOctets" and
> "ifOutOctets" objects. Is it appropriate to use ifSpeed for
> the nominal bandwidth?
> 
> I invite you to take a look at the draft and let me know if the
> MIB references are okay - I don't think it makes much sense to
> redefine everything from scratch.
> How do I refer to if-objects from MIB-II in the most flexible
> way? If an object is changed, I would like implementors to use the
> most recent definition, but only if it's backwards compatible.
> 
> Regards,
> Michael Welzl
>

---

From: Michael Welzl <[email-masked]>
Date: Tue, 23 Nov 1999 09:14:22 +0100

> Excuse me Michael, could you please provide me a pointer (URL) to
> the draft you wrote? Thank you very much,
> 
> Mario

Sorry, here it is:
http://www.ietf.org/internet-drafts/draft-welzl-ptp-01.txt

Regards,
Michael